CGAL 6.1.2 - 3D Simplicial Mesh Data Structures: SimplicialMeshVertexBase_3 Concept Reference

CGAL 6.1.2 - 3D Simplicial Mesh Data Structures

Loading...
Searching...
No Matches
List of all members
SimplicialMeshVertexBase_3 Concept Reference
Reference Manual » Concepts

## Definition

The concept `SimplicialMeshVertexBase_3` describes the requirements for the `Vertex` type of the triangulation used in a 3D simplicial mesh data structure. The type `SimplicialMeshVertexBase_3` refines the concept `TriangulationVertexBase_3`. It provides additional members to store and retrieve information about the location of the vertex with respect to the input domain describing the discretized domain. More specifically, the concept `SimplicialMeshVertexBase_3` provides read-write access to an integer representing the dimension of the lowest dimensional face of the input 3D complex on which the vertex lies, and to an index characteristic of this face.

Refines
  `TriangulationVertexBase_3`

Has models
  `CGAL::Mesh_vertex_base_3`
  `CGAL::Simplicial_mesh_vertex_base_3`
  `CGAL::Tetrahedral_remeshing::Remeshing_vertex_base_3`

## Types
typedef unspecified_type | Index
| Index type.

## Operations
int | in_dimension () const
| Returns the dimension of the lowest dimensional face of the input 3D complex that contains the vertex.
void | set_dimension (int)
| Sets the dimension of the lowest dimensional face of the input 3D complex that contains the vertex.
Index | index ()
| Returns the index of the lowest dimensional face of the input 3D complex that contains the vertex.
void | set_index (Index)
| Sets the index of the lowest dimensional face of the input 3D complex that contains the vertex.
bool | is_c2t3_cache_valid ()
| Returns `true` if the cache is valid.
void | set_c2t3_cache (std::size_t i, std::size_t j) void invalidate_c2t3_cache()
| Sets the cache.
std::size_t | cached_number_of_incident_facets ()
| Returns the cached number of facets of the complex incident to the vertex.
std::size_t | cached_number_of_components ()
| This method concerns the adjacency graph of the facets of the complex incident to the vertex and returns a cached value for the number of connected components this graph.

## Member Function Documentation

## ◆ set_c2t3_cache()

void SimplicialMeshVertexBase_3::set_c2t3_cache | ( | std::size_t | i,
|  | std::size_t | j
| ) |  |

Sets the cache.

Invalidates the cache.